Subject: [alpine-aports] [PATCH v3] testing/rspamd: upgrade to 1.4.4

From: Valery Kartel <[email-masked]>
Date: Fri, 24 Feb 2017 22:53:41 +0200

fixes in init script

---
v1 -> v2: add checkconfig command to init script

v2 -> v3: fix checksums
---
 testing/rspamd/APKBUILD     | 22 +++++-----------------
 testing/rspamd/rspamd.confd |  2 +-
 testing/rspamd/rspamd.initd | 25 ++++++++++++++-----------
 3 files changed, 20 insertions(+), 29 deletions(-)

diff --git a/testing/rspamd/APKBUILD b/testing/rspamd/APKBUILD
index 85fc20a1b8..09a128664f 100644
--- a/testing/rspamd/APKBUILD
+++ b/testing/rspamd/APKBUILD
@@ -2,8 +2,8 @@
 # Contributor: Valery Kartel <[email-masked]>
 # Contributor: Nathan Angelacos <[email-masked]>
 pkgname=rspamd
-pkgver=1.4.3
-pkgrel=1
+pkgver=1.4.4
+pkgrel=0
 pkgdesc="Fast, free and open-source spam filtering system"
 url="https://rspamd.com"
 arch="x86_64 x86 armhf"
@@ -106,21 +106,9 @@ utils() {
 	mv "$pkgdir"/usr/bin/${pkgname}-redirector "$subpkgdir"/usr/bin
 }
 
-md5sums="a64e00b906b7f3590e855be50106f99f  rspamd-1.4.3.tar.xz
-c152c6a90f6ae9e5a7a1d137dfbc0305  rspamd.logrotated
-0656acc12dcce7cba232857a848d0390  rspamd.initd
-ab12f33ad8e12a7437fb5ea4a9c92eef  rspamd.confd
-ff0bf4f1b1447ca401865369f91418f1  config.patch
-83f76787389649af63ea921f81cf35b3  cmakelists.patch"
-sha256sums="144cddc25ce8d8519b289d2c00d34b37c931f3c7293e2b0d16c408680021a1bf  rspamd-1.4.3.tar.xz
-6c5e79e9052d957f3d0d634b2ae7a56bbc0901a5d6946dc991c92f19a72fce97  rspamd.logrotated
-5bcf68a72e0582859799cd335a14d48914e5291f4087327b3b42562ef64e2958  rspamd.initd
-fceba39a20755d48ef3838f7daa92ed9686a118c0a26f06bfe72cc7c15b2e384  rspamd.confd
-7e0adb4a2e7e8f806fc5fdae0c37e6948ed56e9d46d4eed0c681806decb90e49  config.patch
-d4bc7851bb32b49be98e3964aa9195033b586da27f7f3afa5ce12dfbeadd96b0  cmakelists.patch"
-sha512sums="bae86953d881be446f049384cc8bf8451b04619b461a7e2d571407d5af5f2547af8bc9db578e84190e8c55d01f9e32ea1d29e998daa2bbb2fac431ed50df27ca  rspamd-1.4.3.tar.xz
+sha512sums="df2260de6585699a5b6692aa210647270b7132372ae6a2437f8532265018fe4db8270a8989ce0c0664cad17cbc281ae92f935c4f0974dc2f8da309e54c234b14  rspamd-1.4.4.tar.xz
 2efe28575c40d1fba84b189bb872860e744400db80dce2f6330be6c6287fb3f46e6511284729b957488bf40bcb9b0952e26df9934f5f138334bd2766075c45cb  rspamd.logrotated
-e240983c2fd91d8061b17e35e83a75c56ac2c3625dbe07b83a2e89e3dbf69b57c675d01772b93968aa6b22d150d54d366f2fb4a0c6551b3cfdedc77d82e28652  rspamd.initd
-1320a752cbefe021079b3ed23e312231c39fc600baba7d8440c3e8bdd33ed673c8831b44a0c76788a8d905469e81088adf26cf245c09b4c2c4fdce7ff4219ee7  rspamd.confd
+633981183713e74a78fea4c00f55cb3128002273b473bd073faef2c1fa7ac1afa570ef02e6c7c9c3bbaa856d21418db276753df24caddb662bf2e2b42630072e  rspamd.initd
+ae4d8f80930f8643c215cdd8daf16a0dc63c1f47a0db52b8341a3616aa1c45c652930ed54ee85e47c0bcbdc1b975afd1c3e1a1324fab649b5ff97c6e8fad2ae2  rspamd.confd
 2089429e6f44f8204f31c87c565cdd7abcd51b3146397ba1b2fb23b1be6faf46fd8ec36718f194a3fc38ac1d38d7be9010a84ac4b49d7e1597706699538c607a  config.patch
 99593c10ffb04c71a4c83c7522b41f12465a9862283685bbc2fff464fd84fcf8b4bc4a892419d31332c01f805c69dd7730f537c60248b92fee35acdc6633a644  cmakelists.patch"
diff --git a/testing/rspamd/rspamd.confd b/testing/rspamd/rspamd.confd
index 9b2cc4b34f..d7e98d2ad7 100644
--- a/testing/rspamd/rspamd.confd
+++ b/testing/rspamd/rspamd.confd
@@ -10,6 +10,6 @@
 
 # Where to log startup configuration checking
 # - /dev/null - silent (default)
-# - /dev/tty - show output on curent terminal
+# - /dev/stdout - show output on curent terminal
 # - /path/filename - append to specified logfile
 #startuplog=/var/log/rspamd/startup.log
diff --git a/testing/rspamd/rspamd.initd b/testing/rspamd/rspamd.initd
index 93148ccb4b..712b6b542e 100644
--- a/testing/rspamd/rspamd.initd
+++ b/testing/rspamd/rspamd.initd
@@ -1,14 +1,13 @@
 #!/sbin/openrc-run
 
 description="Rapid spam filtering system"
-user=${user:-rspamd}
-group=${group:-rspamd}
-cfgfile=${cfgfile:-/etc/rspamd/rspamd.conf}
-pidfile=${pidfile:-/run/rspamd/rspamd.pid}
+
 command=/usr/sbin/rspamd
-command_args="-u $user -g $group -c $cfgfile -p $pidfile"
+command_args="-u ${user:=rspamd} -g ${group:=rspamd} -c ${cfgfile:=/etc/rspamd/rspamd.conf} -p ${pidfile:=/run/rspamd/rspamd.pid}"
 required_files="$cfgfile"
+extra_commands="checkconfig"
 extra_started_commands="reload reopen"
+description_checkconfig="Verify configuration file"
 description_reload="Reload configuration"
 description_reopen="Reopen log files"
 
@@ -18,20 +17,24 @@ depend() {
 }
 
 start_pre() {
-	ebegin
-	checkpath --directory --mode 750 --owner $user:$group ${pidfile%/*}
+	[ "$RC_CMD" = "start" ] && checkpath -d -m 750 -o $user:$group ${pidfile%/*}
 	$command $command_args -t >/dev/null 2>>${startuplog:-/dev/null}
-	eend $?
 }
 
 reload() {
-	ebegin "Reloading ${SVCNAME}"
-	start-stop-daemon --signal HUP --pidfile $pidfile
+	ebegin "Reloading $RC_SVCNAME config"
+	start_pre && start-stop-daemon --signal HUP --pidfile $pidfile
 	eend $?
 }
 
 reopen() {
-	ebegin "Reopening ${SVCNAME} log files"
+	ebegin "Reopening $RC_SVCNAME log files"
 	start-stop-daemon --signal USR1 --pidfile $pidfile
 	eend $?
 }
+
+checkconfig() {
+	ebegin "Checking $RC_SVCNAME config"
+	start_pre
+	eend $?
+}
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---